<?php
  require("../includes/common.php");

  require("../includes/widget.php");

  if (isset($_POST["submit"]) && isset($_POST["name"]))
  {
    widget_required("name");

    if (!widget_errorCount())
    {
      $sql = "SELECT name FROM `".$config_databaseTablePrefix."brand_info` WHERE name='".database_safe($_POST["name"])."'";

      if (database_querySelect($sql,$rows))
      {
        widget_errorSet("name","brand name already exists");
      }
    }
    if (!widget_errorCount())
    {
      $sql = sprintf("INSERT INTO `".$config_databaseTablePrefix."brand_info` SET
                      name = '%s'
                      ",
                      database_safe($_POST["name"])
                      );

      database_queryModify($sql,$insertId);

      header("Location: brand_info_configure.php?id=".$insertId);

      exit();
    }
  }

  require("admin_header.php");

  print "<h2>Brand Info</h2>";

  $sql = "SELECT * FROM `".$config_databaseTablePrefix."brand_info` ORDER BY name";

  if (database_querySelect($sql,$rows))
  {
    print "<h3>Existing Categories</h3>";

    print "<table>";

    foreach($rows as $brand)
    {
      print "<tr>";

      print "<th align='left'>".$brand["name"]."</th>";

      print "<td>&nbsp;&nbsp;";

      print "<a href='brand_info_configure.php?id=".$brand["id"]."'>Edit</a>&nbsp;&nbsp;";

      print "<a href='brand_info_delete.php?id=".$brand["id"]."'>Delete</a>&nbsp;&nbsp;";

      print "</td>";

      print "</tr>";
    }

    print "</table>";
  }

  print "<h3>New Brand</h3>";

  print "<form method='post'>";

  widget_textBox("Name","name",FALSE,(isset($_POST["name"])?widget_safe($_POST["name"]):""));

  widget_errorGet("name");

  print "<br /><br />";

  print "<input type='submit' name='submit' value='Add' />";

  print "</form>";

  require("admin_footer.php");
?>
